### Method

# ECal Component get_recurid

since: 3.34

#### Declaration [src]

    ECalComponentRange*
    e_cal_component_get_recurid (
      ECalComponent* comp
    )

#### Description [src]

Queries the recurrence id property of a calendar component object. Free the returned `ECalComponentRange` with e_cal_component_range_free(), whe no longer needed.

Available since: 3.34

#### Return value

Type: `ECalComponentRange`

The recurrence id property, as an `ECalComponentRange`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.